## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           vala-language-server
Summary:        Language server for the Vala programming language
Version:        0.48.7
Release:        %autorelease

# The entire source is LGPLv2+, except plugins/gnome-builder/vala_langserv.py, which is GPLv3+.
# It is not installed when the "plugins" meson option is set to false.
# Since GNOME Builder 41, the VLS the plugin has been included.
License:        LGPLv2+

URL:            https://github.com/Prince781/vala-language-server
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  meson
BuildRequires:  ninja-build
BuildRequires:  vala                        >= 0.48.12
BuildRequires:  vala-devel                  >= 0.48.12

BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(json-glib-1.0)    >= 1.4.4
BuildRequires:  pkgconfig(jsonrpc-glib-1.0) >= 3.28
BuildRequires:  pkgconfig(scdoc)

Requires:       glib2-static%{?_isa}
Requires:       json-glib%{?_isa}
Requires:       jsonrpc-glib%{?_isa}
Requires:       libgee%{?_isa}
Requires:       libvala%{?_isa}             >= 0.48.12

Recommends:     gobject-introspection-devel

Suggests:       gnome-builder


%description
Provides code intelligence for Vala (and also Genie).
Used with an editor and a plugin that supports the Language Server Protocol.


%prep
%autosetup -n %{name}-%{version}

%build
%meson -Dplugins=false
%meson_build

%install
%meson_install

%files
%license COPYING
%doc README.md

%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.48.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Nov 20 2023 Jens Petersen <petersen@redhat.com> - 0.48.7-1
- update to 0.48.7 (#2172528)

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.48.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.48.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.48.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 21 2022 Christopher Crouse <mail@amz-x.com> - 0.48.5-1
- Update to version 0.48.5; Fixes RHBZ#2098476

* Fri May 06 2022 Christopher Crouse <mail@amz-x.com> - 0.48.4-4
- Fixes upstream bug

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.48.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Jan 17 2022 Christopher Crouse <mail@amz-x.com> - 0.48.4-2
- Updated readme; Fixes RHBZ#2035369

* Sun Jan 16 2022 Christopher Crouse <mail@amz-x.com> - 0.48.4-1
- initial import (#2035369)
